BizKitHub
postKnowledge BaseAdmin BFF

/bff/kb/entry-status

Change a KB entry status (approve draft, mark stale, archive)

Knowledge BasepostBffKbEntry-status

Parameters

JSON body

Request body

application/json
externalIdstringRequired
Length: 2424
status"draft" | "active" | "stale" | "archived"Required

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

POST /bff/kb/entry-status

post
curl -X POST "https://api.bizkithub.com/bff/kb/entry-status" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "externalId": "example_externalId"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key